<?php
 
$f1=trim($f1);// Fecha Mayor elimina espacios antes y despues del valor 
$f2=trim($f2);// Fecha Menor elimina espacios antes y despues del valor 
if($tfe == 'fbase'){
	$ano1 = substr($f1,0,4);
	//$pdf->Cell(30,10,'Año:'.$a,0,0,'C');
	$dia1 = substr($f1,8,2);
	//$pdf->Cell(30,10,'Dia:'.$d,0,0,'C');
	$mes1 = substr($f1,5,2);
//defino fecha 2 
	$ano2 = substr($f2,0,4);
	//$pdf->Cell(30,10,'Año:'.$a,0,0,'C');
	$dia2 = substr($f2,8,2);
	//$pdf->Cell(30,10,'Dia:'.$d,0,0,'C');
	$mes2 = substr($f2,5,2);
}else{
	$ano1 = substr($f1,6,4);
	//$pdf->Cell(30,10,'Año:'.$a,0,0,'C');
	$dia1 = substr($f1,0,2);
	//$pdf->Cell(30,10,'Dia:'.$d,0,0,'C');
	$mes1 = substr($f1,3,2);
//defino fecha 2 
	$ano2 = substr($f2,6,4);
	//$pdf->Cell(30,10,'Año:'.$a,0,0,'C');
	$dia2 = substr($f2,0,2);
	//$pdf->Cell(30,10,'Dia:'.$d,0,0,'C');
	$mes2 = substr($f2,3,2);
}
//calculo timestam de las dos fechas 
$timestamp1 = mktime(0,0,0,$mes1,$dia1,$ano1); 
$timestamp2 = mktime(4,12,0,$mes2,$dia2,$ano2); 
//resto a una fecha la otra 
$segundos_diferencia = $timestamp2 - $timestamp1; 
//echo $segundos_diferencia; 
//convierto segundos en días  
$dias_diferencia = $segundos_diferencia / (60 * 60 * 24); 
//obtengo el valor absoulto de los días (quito el posible signo negativo) 
//$dias_diferencia = abs($dias_diferencia); 
//quito los decimales a los días de diferencia 
$dias_diferencia = round($dias_diferencia); 
?>